Mailinglist Archive: opensuse-kde3 (27 mails)

< Previous Next >
13.1 k3b has NO libk3bmaddecoder.so [was Re: [opensuse-kde3] 13.1 - can't find kde3-k3b-codecs?]
On 07/18/2014 03:23 PM, David C. Rankin wrote:
Looking at the current kde3-k3b build, you have the following present:

/opt/kde3/lib64/kde3/libk3balsaoutputplugin.la
/opt/kde3/lib64/kde3/libk3balsaoutputplugin.so
/opt/kde3/lib64/kde3/libk3baudiometainforenamerplugin.la
/opt/kde3/lib64/kde3/libk3baudiometainforenamerplugin.so
/opt/kde3/lib64/kde3/libk3baudioprojectcddbplugin.la
/opt/kde3/lib64/kde3/libk3baudioprojectcddbplugin.so
/opt/kde3/lib64/kde3/libk3bexternalencoder.la
/opt/kde3/lib64/kde3/libk3bexternalencoder.so
/opt/kde3/lib64/kde3/libk3bflacdecoder.la
/opt/kde3/lib64/kde3/libk3bflacdecoder.so
/opt/kde3/lib64/kde3/libk3blibsndfiledecoder.la
/opt/kde3/lib64/kde3/libk3blibsndfiledecoder.so
/opt/kde3/lib64/kde3/libk3bmpcdecoder.la
/opt/kde3/lib64/kde3/libk3bmpcdecoder.so

Ilya,

It looks like a build problem in you 13.1 package. I compared against the k3b package I build for TDE on Arch and the package contains the codec:

tde-k3b /opt/trinity/lib/trinity/libk3balsaoutputplugin.so
tde-k3b /opt/trinity/lib/trinity/libk3bartsoutputplugin.so
tde-k3b /opt/trinity/lib/trinity/libk3baudiometainforenamerplugin.so
tde-k3b /opt/trinity/lib/trinity/libk3baudioprojectcddbplugin.so
tde-k3b /opt/trinity/lib/trinity/libk3bexternalencoder.so
tde-k3b /opt/trinity/lib/trinity/libk3bffmpegdecoder.so
tde-k3b /opt/trinity/lib/trinity/libk3bflacdecoder.so
tde-k3b /opt/trinity/lib/trinity/libk3blameencoder.so
tde-k3b /opt/trinity/lib/trinity/libk3blibsndfiledecoder.so
tde-k3b /opt/trinity/lib/trinity/libk3bmaddecoder.so
^^^^^^^^^^^^^^^^^^^
tde-k3b /opt/trinity/lib/trinity/libk3bmpcdecoder.so
tde-k3b /opt/trinity/lib/trinity/libk3boggvorbisdecoder.so
tde-k3b /opt/trinity/lib/trinity/libk3boggvorbisencoder.so
tde-k3b /opt/trinity/lib/trinity/libk3bsoxencoder.so
tde-k3b /opt/trinity/lib/trinity/libk3bwavedecoder.so

Can you take a look at your build and see if you can tweak the 13.1 package to generate the libk3bmaddecoder.so? I don't have a computer set up for openSuSE builds (my laptop would croak if I started building kdelibs/kdebase...) and I'm not familiar enough with buildservice to tell it how to get the needed dependencies to build kde3-k3b or I'd try it there. Thanks.

--
David C. Rankin, J.D.,P.E.
--
To unsubscribe, e-mail: opensuse-kde3+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-kde3+owner@xxxxxxxxxxxx

< Previous Next >